<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Matrix3 Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a2623a5189b5ada5e6746752406618615">Bidiagonalize</a>(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ae6c425038bd77d80f1461652ec68b19f">Determinant</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a050ec131b1f7d0fbe11ddf06133478b9">EigenSolveSymmetric</a>(Real afEigenvalue[3], Vector3 akEigenvector[3]) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a5bf17bf2239af2516e359dc6de22bf3d">EPSILON</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ab96e7684e128659752ec94031357e6ff">FromAngleAxis</a>(const Vector3 &amp;rkAxis, const Radian &amp;fRadians)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ad904362ff107e91ed2881a9802d11979">FromAxes</a>(const Vector3 &amp;xAxis, const Vector3 &amp;yAxis, const Vector3 &amp;zAxis)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a3f5abdecf648a54b164df112c7037ed7">FromEulerAnglesXYZ</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a209f31aa2e25d9b3d55d64d2d8304382">FromEulerAnglesXZY</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a2e0ccd0f22689072aa4a64c7a441f694">FromEulerAnglesYXZ</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a94b0b7264cc1572fff22f491ac6cc664">FromEulerAnglesYZX</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ac0148ffb86f185d7de044fd83e9647ce">FromEulerAnglesZXY</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a8308f99c3c13e067f016a45f26f15389">FromEulerAnglesZYX</a>(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a6d5df6ca5b1fb2eb3de77124da0a390d">GetColumn</a>(size_t iCol) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a91fba8359a29a0bad16c9f73e436409f">GolubKahanStep</a>(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#af631455ebc8569768f1afb7a8711bca7">hasScale</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#adcb2945d4f9b8995236be5a27dcfe343">IDENTITY</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a068ef05b6bbed7ac88d22fe7cc221a7e">Inverse</a>(Matrix3 &amp;rkInverse, Real fTolerance=1e-06) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ad562bfb225028627c3ac7812056d5b45">Inverse</a>(Real fTolerance=1e-06) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#afa4cf13c54bdcc2df5fa761e01ad180d">m</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a0ecaa32a22cc18ca76dc74377005e7e1">Matrix3</a>()</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a705a22877d9f0a33724887e577486b41">Matrix3</a>(const Real arr[3][3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a04f1bcba696c41cae099b5229789772b">Matrix3</a>(const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a3653fb657419f82d71f7ae06df0dd9f5">Matrix3</a>(Real fEntry00, Real fEntry01, Real fEntry02, Real fEntry10, Real fEntry11, Real fEntry12, Real fEntry20, Real fEntry21, Real fEntry22)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#aed2829d86d2df8f9333d4c0087455880">Matrix4</a> class</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a275b664601f3baaec4e13f2141a2cba4">MaxCubicRoot</a>(Real afCoeff[3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#aa4db0a7f3f09a72d78b602639c3d8af5">msSvdEpsilon</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a5e4a7f79f1b639102b04410b232702c6">msSvdMaxIterations</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ac28de07a8eeb9257d9f6a85c8bf9a0df">operator!=</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#af1026cdff574efcbedc74bdb42ebc2ec">operator*</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a6dca1bb430c899ce510e36a5eed9aa7a">operator*</a>(const Vector3 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a9bc849d4891efcbb40253e790d8f5837">operator*</a>(const Vector3 &amp;rkVector, const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#abfe7d82c1776a64f97575ba5677628b5">operator*</a>(Real fScalar) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a475a485a770084ade97b8fd310b60011">operator*</a>(Real fScalar, const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a6b41bd7f552290c980690f69e4f54004">operator+</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ac0c776e7ee4604fd58715cf1edd62de7">operator-</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a59733eb23090e235cad6451e1636e8fb">operator-</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ab1f3df74a0e5f9db6bdede953974466b">operator&lt;&lt;</a>(std::ostream &amp;o, const Matrix3 &amp;mat)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#af1d37de5c682f78870aae007ee71a360">operator=</a>(const Matrix3 &amp;rkMatrix)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a14f0de269999f5e58d7ec11f09e82fff">operator==</a>(const Matrix3 &amp;rkMatrix) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ad5ae794f77955d57e92f0457bcdf0d0b">operator[]</a>(size_t iRow) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#add64f270c75286c4cafa3b242778573f">Orthonormalize</a>()</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ab86645418b9db322c77e911e1b95406e">QDUDecomposition</a>(Matrix3 &amp;rkQ, Vector3 &amp;rkD, Vector3 &amp;rkU) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a970bb631fd5e6a6b0518ec160a3bfebd">QLAlgorithm</a>(Real afDiag[3], Real afSubDiag[3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ab5f04bc27bc68152b92123ac2d14afd5">SetColumn</a>(size_t iCol, const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a1efb2981c1a759e607e1431321d95524">SingularValueComposition</a>(const Matrix3 &amp;rkL, const Vector3 &amp;rkS, const Matrix3 &amp;rkR)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a22254ba3dcecdad3907deb7d8b185419">SingularValueDecomposition</a>(Matrix3 &amp;rkL, Vector3 &amp;rkS, Matrix3 &amp;rkR) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#ac46c5191ed2e90c943ad626764caadeb">SpectralNorm</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a741fc44c8d8a16de7eb395209d025f5c">swap</a>(Matrix3 &amp;other)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#af1d217c48e8894227fa2cf2a7952cccc">TensorProduct</a>(const Vector3 &amp;rkU, const Vector3 &amp;rkV, Matrix3 &amp;rkProduct)</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a2db08ea197215539e29b16dd601b1bc4">ToAngleAxis</a>(Vector3 &amp;rkAxis, Radian &amp;rfAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#afb91aa65a30bd4dda455117851bc9cc4">ToAngleAxis</a>(Vector3 &amp;rkAxis, Degree &amp;rfAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a2a181c876993cf552fb771e3ff0bc4d3">ToEulerAnglesXYZ</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a266398dd88459e4ab8028f20e5f1baa2">ToEulerAnglesXZY</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#affba36508ff21d216168aaf181662a0b">ToEulerAnglesYXZ</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#abe2f46f171e6e470298a39b0b1da9067">ToEulerAnglesYZX</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#aca3ad54e245e5db1829cfdeded15d548">ToEulerAnglesZXY</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a3966a3dc328db1d6f67bfc9122a9e81c">ToEulerAnglesZYX</a>(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a4ccc246eae557ee30ec285fe2cc99f54">Transpose</a>() const </td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#aba77d4cfb88b20309871d112729c03e9">Tridiagonal</a>(Real afDiag[3], Real afSubDiag[3])</td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix3.html#a4561d62d4d2c088ce2a3b6c3ec3d09af">ZERO</a></td><td><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
